size={32,32}
panelWidth3d  = 1024  -- I don't know why, but without these lines you cannot get the coords to work right
panelHeight3d = 1024

function update()
	local currentNR = get(NR)
	local hideBladesRatio = 0.5
	local blipRatio       = (currentNR-150)/300 -- 0 .. 1.0 at 304rpm then > 1
	local sineWave = get(sw2)
	
	if currentNR < 150  then
		set(jb_bladesHidden1, 0)
		set(jb_bladesHidden2, 1)
		set(jb_bladesHidden3, 1)
	else		
		if  blipRatio >= sineWave^2  then 
			set(jb_bladesHidden1, 1)
			set(jb_bladesHidden2, 0) 
		else
			set(jb_bladesHidden1, 0)
			set(jb_bladesHidden2, 1) 
		end	
	end
	if currentNR > 300 then 
		set(jb_bladesHidden1, 1) 
		set(jb_bladesHidden2, 1)
		set(jb_bladesHidden3, 0)
	end
	-- might be better to go off the blade angle ??????

	set(jb_rotorsSpeedFactor,  1) -- testing
	-- jb_rotorsAngle is a function of NR, time since LastUpdate and SpeedFactor 	
	local timespan = get(runTime) - get(jb_rotorsLastUpdate)
	set(jb_rotorsLastUpdate,  get(runTime))
	local angleRotated = get(jb_rotorsSpeedFactor) * 6 * timespan * get(NR)
	if angleRotated > 12 then angleRotated = 11.9 end
	local nextAngle = get(jb_rotorsAngle) + angleRotated
	if nextAngle > 360 then nextAngle = nextAngle -360 end
	set(jb_rotorsAngle,  nextAngle) -- jb/sasl/rotors/rotorAngle
	
	local pitchALL = get(collectivePitch) 
	-- swashRed = -cyclicValue * cos(nextAngle) for red, 
	-- cyclicValue =  degrees of pitch requested (a number with no sign)
	
	-- real cyclic stick input needs to be a vector	
	cyclicAngle = math.deg(math.atan2(  get(pitchCyclic), -get(rollCyclic)   ) )
 	cyclicValue = 5*math.sqrt(get(rollCyclic)^2 + get(pitchCyclic)^2) -- a number with no sign
 	
	local swashRed = -cyclicValue * math.cos (math.rad (nextAngle     +cyclicAngle ))
	local swashYel = -cyclicValue * math.cos (math.rad (nextAngle-120 +cyclicAngle ))
	local swashBlu = -cyclicValue * math.cos (math.rad (nextAngle+120 +cyclicAngle ))
	
	-- jb/sasl/rotors/swashRed")) .... Yel, Blu	
	set(jb_rotorsSwashRed, swashRed) 
	set(jb_rotorsSwashYel, swashYel) --
	set(jb_rotorsSwashBlu, swashBlu) --
	
	-- add on the collective values (which are all the same)
	set(jb_rotorsPitchRed, pitchALL + 1 * swashRed ) -- jb/sasl/rotors/pitchRed
	set(jb_rotorsPitchYel, pitchALL + 1 * swashYel ) -- jb/sasl/rotors/pitchYel
	set(jb_rotorsPitchBlu, pitchALL + 1 * swashBlu ) -- jb/sasl/rotors/pitchBlu
	set(jb_rotorsPitchALL, pitchALL) -- plate vertical translation
	
	-- cyclicValue =  degrees of pitch requested (a number with no sign)
	-- cos 180 = -1,  cos 120 = -0.5,  cos -120 = -0.5
	
	set(jb_rotorsSwashRedFixed,   cyclicValue * math.cos (math.rad (cyclicAngle  +180  )))
	set(jb_rotorsSwashYelFixed,   cyclicValue * math.cos (math.rad (cyclicAngle  +120  )))
	set(jb_rotorsSwashBluFixed,   cyclicValue * math.cos (math.rad (cyclicAngle  -120   )))	

	--set(jb_rotorsScissorsRotating, pitchALL + swashRed ) -- jb/sasl/rotors/scissorsRotating
	set(jb_rotorsScissorsFixed,    pitchALL - 5*get(pitchCyclic) ) -- jb/sasl/rotors/scissorsFixed
	
	--set(jb_rotorsAngle,  0) 
	--set(jb_rotorsScissorsRotating,     11 + swashBlu  )
	--set(jb_rotorsPitchALL, 4) -- plate vertical translation
	
	set( jb_rotorsDroopNR,   get(NR) ) -- jb/sasl/rotors/DroopNR --  the value used for  
	-- making the rotors droop. Not necessarily the real NR value so it can 
	-- be used for visualisations / demos
	
	local testing = 0
------ test values	
		if testing == 1 then
		set(jb_rotorsAngle,  0) -- fwd
	
		set(jb_rotorsPitchALL, 0) -- from collective
		
		set(jb_rotorsSwashRed, 0) -- from cyclic
		set(jb_rotorsSwashYel, 0)
		set(jb_rotorsSwashBlu, 10)
	
		-- totals for blades	
		set(jb_rotorsPitchRed, 0 ) -- jb/sasl/rotors/pitchRed
		set(jb_rotorsPitchYel, 0 ) -- jb/sasl/rotors/pitchYel
		set(jb_rotorsPitchBlu, 10 ) -- jb/sasl/rotors/pitchBlu	
	end	
end  -- of function update()

-- math.cos (x)	Returns the cosine of x (assumed to be in radians).
-- math.rad (x)	Converts the angle x from degrees to radians.
-- math.deg (x)	Converts the angle x from radians to degrees.
-- math.pi		The value of π.
-- math.atan (y [, x])
-- Returns the arc tangent of y/x (in radians), but uses the signs of both arguments to find
-- the quadrant of the result. (It also handles correctly the case of x being zero.)
-- The default value for x is 1, so that the call math.atan(y) returns the arc tangent of y.

-- https://www.lua.org/manual/5.3/manual.html#6.7