# GAZL-1132-BETA
It is over 50 years since the maiden flight of the Aérospatiale Gazelle and there are still quite a few of these still flying.  Here is an SA342L **BETA** version for X-Plane **11**. It is the military companion of the SA342J,  which was fitted with the more powerful 649 kW (870 shp) Astazou XIV engine an improved Fenestron tail rotor and increased maximum take-off weight. This variant was approved on 24 April 1976, and entered service in 1977. 

The Irish Air Corps  had two SA342L models Gazelles, (registrations 237  [cn 1772]  and 241 [cn 1854]). This particular airframe was used by Aer Chór na hÉireann (Irish Air Corps). It was delivered 30 Oct 1979 and crashed 16 Aug 2002 near Baldonnel. Its sister aircraft [Chassis number 1854] was delivered 14 Jan 1981 as registration 241.  It moved to private registration in 2007 as HA-LFQ

![http://4.bp.blogspot.com/-KOLTvKIPb78/XmV6HZqPGyI/AAAAAAAADE0/-790fGxvWW0gggNA5nVfTaZ1EUuw86cIQCK4BGAYYCw/s1600/Screenshot%2B2020-03-08%2Bat%2B23.48.33.jpg](http://4.bp.blogspot.com/-KOLTvKIPb78/XmV6HZqPGyI/AAAAAAAADE0/-790fGxvWW0gggNA5nVfTaZ1EUuw86cIQCK4BGAYYCw/s1600/Screenshot%2B2020-03-08%2Bat%2B23.48.33.jpg)

.

.

.

.

### Available cockpit controls/buttons:

![http://2.bp.blogspot.com/-xanMOsInKSQ/Xm5cDGaxfrI/AAAAAAAADF4/MHEoaBB2tX4PR0VFDzp8EuJ2D4xh3EUyQCK4BGAYYCw/s1600/clickZones1.jpg](http://2.bp.blogspot.com/-xanMOsInKSQ/Xm5cDGaxfrI/AAAAAAAADF4/MHEoaBB2tX4PR0VFDzp8EuJ2D4xh3EUyQCK4BGAYYCw/s1600/clickZones1.jpg)

Doors can be operated via the command **sim/flight_controls/canopy_toggle**

Part of the SAS (Stability Augmentation System) can be used via the Yaw Damper switch.
It acts as a yaw-damper, but only at at low speed.


**FlightPathMarker button:** Switches the Flight Path Marker ON/0FF. It acts like a very basic / mini HMD (Head Mounted Display). Particularly useful when learning to fly a helicopter.  You may find it  becomes so addictive that you always have it turned on.  Vibrations make it very jittery on the ground - do not be alarmed. Can be accessed via the button to the bottom right of the main artificial horizon.

![https://forums.x-plane.org/uploads/monthly_2020_02/FPM.jpg.24fcd8de44e94ad1fc08c640706220a9.jpg](https://forums.x-plane.org/uploads/monthly_2020_02/FPM.jpg.24fcd8de44e94ad1fc08c640706220a9.jpg)



### Custom Commands

* **jb/sasl/iPads/toggle**  This is mainly for engineering / development purposes at the moment. But it is a multifunction display so who knows what it may be used for in the future.  If you are curious about it, you can assign a key/ button for it. Can also be accessed via the apple icon to the left of the main console.  
* **jb/sasl/hud/toggle**  Switches the Flight Path Marker ON/OFF. See above.
* **jb/sasl/airframe/toggle**  Hides pretty much everything apart from the Flight Path Marker & the  iPad (which are hidden separately). Good for visibility and frame-rates if necessary. The difference between this and the standard "forward with nothing" view is that it allows looking up/down, left/right. It works well when using a separate instrument panel such as a tablet app.  There is no cockpit clickable command for this for the simple reason that there would be no way of getting the cockpit back again.  You will need to set up a key or button to use this feature.
* **jb/sasl/yawDamper/toggle**  A part of the SAS (Stability Augmentation System) can be accessed via this switch. It acts as a yaw-damper, but only at at low speed: from zero to 60 knots IAS and getting progressively less effective as airspeed increases. Can also be accessed via the YAW button at the lower right of the main panel.

![http://2.bp.blogspot.com/-SaPTeoDK93I/Xm5fR9hqeSI/AAAAAAAADGE/UFm761wkEJYhArULX6zzPOJjvQu-jCJSACK4BGAYYCw/s1600/LandingLight.jpg](http://2.bp.blogspot.com/-SaPTeoDK93I/Xm5fR9hqeSI/AAAAAAAADGE/UFm761wkEJYhArULX6zzPOJjvQu-jCJSACK4BGAYYCw/s1600/LandingLight.jpg)

### Standard Commands
* **sim/flight_controls/canopy_toggle**  Opens/closes all four cabin doors.
* **sim/engines/prop_up** and **sim/engines/prop_down**  Collective-stick controls for changing the blade pitch.  These need to be mapped to a joystick or keyboard keys.  Typically mapped to a joystick’s "throttle" control (see below)
* Throttle up/dn auto etc:  Throttle commands have no long-term effect because of the engine governor which adjusts the throttle to keep the main rotor RPM within limits.
* Fuel cutoff & rotor-brake:  **sim/cockpit2/fuel/fuel_tank_pump_on[0]**  and **sim/cockpit2/switches/rotor_brake**  The fuel cut off will work to shut down the engine, for maybe if you want to try an emergency autorotation or just to shut it down at the end of a flight. The rotor brake also works, but works better with the engine off!
* **sim/cockpit2/switches/landing_lights_switch[0]**  Landing light switch is on collective
* **sim/instruments/barometer_up**  **and sim/instruments/barometer_down**  Barometer setting knob is at bottom left of altimeter
* **sim/instruments/panel_bright_up**  and **sim/instruments/panel_bright_down**  Operates the cockpit overhead light. It is at 50% brightness on aircraft loading - otherwise you might not be able to see to adjust it.

### Other Features

* ILS needles and flags on the main AI operate but you will need to tune NAV1 to make it work.
* Over-torque light on torquemeter operates. It only shows above 100% Tq which can be hard to achieve without a fair amount of weight on board.
* CWP test button is bottom left of Central Warning panel. These lights only really show up during an engine start-up/shutdown.
* The Garmin GPS unit pops out like standard, the radios and the transponder operate as you would expect.  The Intercom unit has no functionality 
* The clock (bottom right) has a time-adjustment knob.
* Cold and dark starts are possible, available via the standandard XP11 menus


Battery toggle and **START** switch with **IGN/OFF** positions are shown here:

![https://forums.x-plane.org/uploads/monthly_2020_02/242220366_Screenshot2020-02-22at11_07_06.jpg.1da7f7a64a45c6a608ffc4262354d460.jpg](https://forums.x-plane.org/uploads/monthly_2020_02/242220366_Screenshot2020-02-22at11_07_06.jpg.1da7f7a64a45c6a608ffc4262354d460.jpg)

Make sure the collective is fully down and the rotor brake is off (big red-tipped handle forward) before doing this: Hold on the ***IGN*** part of the upper part of the ***START*** switch until the engine rpm needle starts to rise.  It can then be released and it will set itself to ***RUN*** and run up itself, the blades will catch up as the clutch engages and the governor takes over. 

.

.



![http://2.bp.blogspot.com/-OAlz97HG6h0/Xm-bpK4ouxI/AAAAAAAADGs/hsEBCugrHccFUM1JeV9Pm1Fv8rTIW5UJQCK4BGAYYCw/s1600/roofLevers.jpg](http://2.bp.blogspot.com/-OAlz97HG6h0/Xm-bpK4ouxI/AAAAAAAADGs/hsEBCugrHccFUM1JeV9Pm1Fv8rTIW5UJQCK4BGAYYCw/s1600/roofLevers.jpg)

The yellow handle in the roof can be used to toggle between

* "back" for autorotations or idle on the ground 
* "fwd" to go back up to flight idle. Make sure the collective is fully down and the rotor brake is off (big red-tipped handle forward) first! 


It will probably be easier to use key assignments:

* **sim/electrical/batteries_toggle**
* **sim/starters/engage_starter_1**
* **sim/starters/shut_down_1**
* **jb/sasl/throttle_governor/toggle**

Don't forget to drop the collective real quick when you get the throttle/governor lever back.  An airspeed of about 56-60 knots seems to work reasonably well for autorotations. When the yellow lever is toggled to the back position, what happens is that the throttle governor is switched off and the throttle is set to **ZERO**. So the governor cannot, any longer, override any throttle inputs that you might be giving the aircraft model, such as:

* joystick throttle or a separate home-cockpit throttle*
* keyboard/keypad assignments
* input from autopilot settings you may have set (especially Flight Director plus speed control/autothrottle)
* a plug-in you made yourself, for example a lua script
* some other plugin that you got off the interweb

*especially take care that any mappings you have for throttle do not involve "reversing" it for helicopter operations. This could mean that when the aircraft is first loaded the throttle is at max - and may well stay there unless you do something to change it.  Basically, there is no obvious use for throttle on this aircraft and it is probably better not to even have the possibility enabled. Especially if you are interested in doing autorotations. 


![https://forums.x-plane.org/uploads/monthly_2020_03/NewNav.thumb.jpg.0373a6ebf8c6df118781af5ad8393028.jpg](https://forums.x-plane.org/uploads/monthly_2020_03/NewNav.thumb.jpg.0373a6ebf8c6df118781af5ad8393028.jpg)

NAV1 drives the ILS as before. COM2 has been swapped for NAV2 which drives the DI needle when tuned to a VOR.  As it might say in a text book: it is left as an exercise for the reader to figure out what to do with the autopilot heading bug 🤓